diff --git a/app/fin/task/pre_calc_task.go b/app/fin/task/pre_calc_task.go
new file mode 100644
index 0000000000000000000000000000000000000000..7ee20f5b66d55af49b0f2c2010f0472ee41227ad
--- /dev/null
+++ b/app/fin/task/pre_calc_task.go
@@ -0,0 +1,234 @@
+package task
+
+import (
+	"encoding/json"
+	devSvr "energy-server-mgo/app/admin/service/device"
+	"energy-server-mgo/app/fin/constants"
+	finModel "energy-server-mgo/app/fin/model"
+	finReq "energy-server-mgo/app/fin/schemas"
+	finSvr "energy-server-mgo/app/fin/service"
+	"energy-server-mgo/core"
+	"energy-server-mgo/util"
+	"fmt"
+	"time"
+
+	"github.com/robfig/cron/v3"
+)
+
+/**
+* 能耗按天计算任务服务
+ */
+type PreCalcTaskServer struct {
+	taskCron      *cron.Cron
+	srvEcs        finSvr.IFinEcsSchemesService
+	srvEcsDev     finSvr.IFinEcsDeviceService
+	srvCommon     finSvr.IFinCommonService
+	srvInstrument devSvr.InstrumentService
+	srvRecord     finSvr.IFinDeviceRecordService
+}
+
+// NewPreCalcTaskServer 实例化
+func NewPreCalcTaskServer() *PreCalcTaskServer {
+	server := &PreCalcTaskServer{taskCron: cron.New()}
+	if err := core.GetContainer().Invoke(func(s finSvr.IFinEcsSchemesService) {
+		server.srvEcs = s
+	}); err != nil {
+		panic(err)
+	}
+	if err := core.GetContainer().Invoke(func(s finSvr.IFinEcsDeviceService) {
+		server.srvEcsDev = s
+	}); err != nil {
+		panic(err)
+	}
+	if err := core.GetContainer().Invoke(func(s finSvr.IFinCommonService) {
+		server.srvCommon = s
+	}); err != nil {
+		panic(err)
+	}
+	if err := core.GetContainer().Invoke(func(s devSvr.InstrumentService) {
+		server.srvInstrument = s
+	}); err != nil {
+		panic(err)
+	}
+	if err := core.GetContainer().Invoke(func(s finSvr.IFinDeviceRecordService) {
+		server.srvRecord = s
+	}); err != nil {
+		panic(err)
+	}
+	return server
+}
+
+// 启动定时任务
+func (task *PreCalcTaskServer) Start(cron string) {
+	_, err := task.taskCron.AddFunc(cron, task.calcTodayFee)
+	if err != nil {
+		fmt.Println("Add Billing Task error:{}", err)
+		return
+	}
+	task.taskCron.Start()
+	now := time.Now()
+	for i := 0; i < 30; i++ {
+		calcTime := time.Date(2025, 7, i, 0, 0, 0, 0, now.Location())
+		task.calcFee(&calcTime)
+	}
+}
+
+// 停止定时任务
+func (task *PreCalcTaskServer) Stop() {
+	task.taskCron.Stop()
+}
+
+func (task *PreCalcTaskServer) calcTodayFee() {
+	task.calcFee(nil)
+}
+
+// 计算电力公摊费用
+func (task *PreCalcTaskServer) calcFee(endDate *time.Time) {
+	core.TryLock(constants.Lock_key_Precalc, "1", 5*time.Minute)
+	defer core.UnLock(constants.Lock_key_Precalc)
+
+	now := time.Now()
+	var startDay, endDay time.Time
+	if endDate == nil {
+		// 将时间截断到当天的零点
+		endDay = time.Date(now.Year(), now.Month(), now.Day(), 0, 0, 0, 0, now.Location())
+		startDay = endDay.AddDate(0, 0, -1)
+	} else {
+		endDay = time.Date(endDate.Year(), endDate.Month(), endDate.Day(), 0, 0, 0, 0, now.Location())
+		startDay = endDay.AddDate(0, 0, -1)
+	}
+
+	var cond finReq.FinEcsSchemesListReq
+	lists, _ := task.srvEcs.ListAll(cond)
+	for _, scheme := range lists {
+		deviceList, _ := task.srvEcsDev.ListAll(nil, scheme.Id, nil)
+		if len(deviceList) <= 0 {
+			continue
+		}
+		billingMethod := scheme.BillingMethod
+		var schemeTimes []*SchemeTime
+		switch billingMethod {
+		case "1", "2":
+			schemeTimes = getDateStd(0, billingMethod, startDay, endDay, scheme.Price)
+			break
+		case "3":
+			schemeTimes = getYearDateStd(0, billingMethod, startDay, endDay, scheme.Price)
+			break
+		case "4", "5":
+			schemeTimes = getStepDateStd(0, billingMethod, startDay, endDay, scheme.Price)
+			break
+		}
+		if schemeTimes == nil {
+			continue
+		}
+
+		usageTotal := float64(0.00)
+		billAmount := float64(0.00)
+		var deviceRecords []finModel.FinDeviceRecord
+		for i := 0; i < len(deviceList); i++ {
+			device := deviceList[i]
+			num, err := task.srvRecord.GetRecordNum(0, device.DeviceId, "", startDay, endDay)
+			if err != nil || num > 0 {
+				continue
+			}
+			totalUsageStart := 0.00
+			totalUsageEnd := 0.00
+			for _, schemeTime := range schemeTimes {
+				startValue, err := task.srvInstrument.QueryDeviceFirstValue(device.DeviceId, schemeTime.startDay.Unix())
+				if err != nil {
+					startValue = 0.00
+				}
+				endValue, err := task.srvInstrument.QueryDeviceFirstValue(device.DeviceId, schemeTime.endDay.Unix())
+				if err != nil {
+					endValue, _, _ = task.srvInstrument.QueryNewDeviceValue(device.DeviceId, schemeTime.startDay.Unix(), schemeTime.endDay.Unix())
+				}
+				if endValue == 0.00 {
+					endValue = startValue
+				}
+				totalUsageStart += startValue
+				totalUsageEnd += endValue
+				usageTotal += endValue - startValue
+				schemeTime.usageTotal = endValue - startValue
+				schemeTime.regionId = device.RegionId
+				schemeTime.regionName = device.RegionName
+				schemeTime.areaId = device.AreaId
+				schemeTime.areaName = device.AreaName
+			}
+			switch billingMethod {
+			case "1":
+				schemeTimes = calcUnitFee(schemeTimes)
+				break
+			case "2":
+				schemeTimes = calcMonthFee(schemeTimes)
+				break
+			case "3":
+				schemeTimes = calcYearFee(schemeTimes)
+				break
+			case "4", "5":
+				schemeTimes = calcStepFee(schemeTimes)
+				break
+			default:
+				break
+			}
+
+			stepItemMap := make(map[int]finReq.SchemeStepItem)
+			for _, schemeTime := range schemeTimes {
+				billAmount += schemeTime.billAmmount
+				if scheme.BillingMethod == "4" || scheme.BillingMethod == "5" {
+					item, find := stepItemMap[schemeTime.seq]
+					if !find {
+						item.Seq = schemeTime.seq
+						item.BillAmmount = 0
+						item.UsageTotal = 0
+					}
+					item.BillAmmount += schemeTime.billAmmount
+					item.UsageTotal += schemeTime.usageTotal
+					stepItemMap[schemeTime.seq] = item
+				}
+			}
+			stepFee := ""
+			if scheme.BillingMethod == "4" || scheme.BillingMethod == "5" {
+				var stepFeeList []finReq.SchemeStepItem
+				for _, scheme := range stepItemMap {
+					stepFeeList = append(stepFeeList, scheme)
+				}
+				tmpFee, err := json.Marshal(stepFeeList)
+				if err == nil {
+					stepFee = string(tmpFee)
+				}
+			}
+			record := finModel.FinDeviceRecord{
+				SchemeId:      scheme.Id,
+				RegionId:      device.RegionId,
+				RegionName:    device.RegionName,
+				AreaId:        device.AreaId,
+				AreaName:      device.AreaName,
+				HouseId:       device.HouseId,
+				HouseName:     device.HouseName,
+				DeviceId:      device.DeviceId,
+				DeviceName:    device.DeviceName,
+				Address:       device.Address,
+				FeeDate:       startDay,
+				BillAmount:    billAmount,
+				UsageTotal:    usageTotal,
+				UsageStart:    totalUsageStart,
+				UsageEnd:      totalUsageEnd,
+				BillingMethod: scheme.BillingMethod,
+				StepFee:       stepFee,
+			}
+			record.CreateTime = now
+			deviceRecords = append(deviceRecords, record)
+			if device.HouseType == "commonArea" {
+				devicePush := finReq.PushDeviceItem{HouseId: device.HouseId, DeviceId: device.DeviceId, DeviceType: device.DeviceType, StartDay: startDay, EndDay: *endDate}
+				jsonStr, err := json.Marshal(devicePush)
+				if err != nil {
+					continue
+				}
+				util.RedisUtil.LPush(constants.Task_Shared_Que, jsonStr)
+			}
+		}
+		if len(deviceRecords) > 0 {
+			task.srvRecord.SaveBatch(deviceRecords)
+		}
+	}
+}
diff --git a/app/fin/task/sync_task.go b/app/fin/task/sync_task.go
index b028dfdfc6c8cefd9407e0015d835801631b4fbf..1fd16fbbf3820cdfafabe84a09a292789a6bd98e 100644
--- a/app/fin/task/sync_task.go
+++ b/app/fin/task/sync_task.go
@@ -1 +1,112 @@
 package task
+
+import (
+	"encoding/json"
+	"energy-server-mgo/app/fin/constants"
+	finReq "energy-server-mgo/app/fin/schemas"
+	finSvr "energy-server-mgo/app/fin/service"
+	"energy-server-mgo/core"
+	"energy-server-mgo/util"
+	"time"
+)
+
+/**
+* 任务同步服务
+ */
+type SyncTaskServer struct {
+	srvBill     finSvr.IFinBillService
+	srvPurse    finSvr.IFinPurseService
+	srvElectric SharedElectricTask
+	srvWater    SharedWaterTask
+	srvGas      SharedGasTask
+}
+
+// SyncTaskServer 实例化任务同步服务
+func NewSyncTaskServer() *SyncTaskServer {
+	server := &SyncTaskServer{}
+	if err := core.GetContainer().Invoke(func(s finSvr.IFinBillService) {
+		server.srvBill = s
+	}); err != nil {
+		panic(err)
+	}
+	if err := core.GetContainer().Invoke(func(s finSvr.IFinPurseService) {
+		server.srvPurse = s
+	}); err != nil {
+		panic(err)
+	}
+	server.srvElectric = *newSharedElectricTask()
+	server.srvWater = *newSharedWaterTask()
+	server.srvGas = *newSharedGasTask()
+
+	return server
+}
+
+// 启动任务同步服务
+func (task *SyncTaskServer) Start(cron string) {
+	go task.syncBill()
+	go task.syncPurse()
+}
+
+// 停止任务同步服务
+func (task *SyncTaskServer) Stop() {
+
+}
+
+func (task *SyncTaskServer) syncBill() {
+	for {
+		records := util.RedisUtil.BRPop(constants.Task_Bill_Que, 1*time.Minute)
+		if records == nil || len(records) <= 0 {
+			continue
+		}
+		// 	for _, record := range records {
+		// 		var billReq utils.FinBillActionReq
+		// 		err := json.Unmarshal([]byte(record), &billReq)
+		// 		if err != nil {
+		// 			continue
+		// 		}
+		// 		bill := finModel.FinBill{
+		// 			RegionId:        billReq.RegionId,
+		// 			RegionName:      billReq.RegionName,
+		// 			HouseName:       billReq.HouseName,
+		// 			FeeName:         constants.GetFeeName(billReq.SchemeType) + "-" + obj.Address,
+		// 			FeeRange:        obj.StartDate.Format("2006-01-02") + "至" + obj.EndDate.Format("2006-01-02"),
+		// 			UsageTotal:      obj.UsageTotal,
+		// 			UsageStart:      obj.UsageStart,
+		// 			UsageEnd:        obj.UsageEnd,
+		// 			BillAmount:      obj.BillAmount,
+		// 			UnpaidAmount:    obj.UnpaidAmount,
+		// 			ReductionAmount: obj.ReductionAmount,
+		// 			PreArrear:       preArrear,
+		// 			LateAmount:      obj.LateAmount,
+		// 			SumAmount:       obj.UnpaidAmount,
+		// 		}
+		// 	}
+	}
+}
+
+func (task *SyncTaskServer) syncPurse() {
+
+}
+
+func (task *SyncTaskServer) syncShared() {
+	for {
+		records := util.RedisUtil.BRPop(constants.Task_Shared_Que, 1*time.Minute)
+		if records == nil || len(records) <= 0 {
+			continue
+		}
+		for _, record := range records {
+			var devicePush finReq.PushDeviceItem
+			err := json.Unmarshal([]byte(record), &devicePush)
+			if err != nil {
+				continue
+			}
+			if devicePush.DeviceType == "electric" {
+				task.srvElectric.calcFee(devicePush.HouseId, devicePush.DeviceId, devicePush.StartDay, devicePush.EndDay)
+			} else if devicePush.DeviceType == "water" {
+				task.srvWater.calcFee(devicePush.HouseId, devicePush.DeviceId, devicePush.StartDay, devicePush.EndDay)
+			} else if devicePush.DeviceType == "gas" {
+				task.srvGas.calcFee(devicePush.HouseId, devicePush.DeviceId, devicePush.StartDay, devicePush.EndDay)
+			}
+		}
+	}
+}
diff --git a/app/fin/utils/public_struct.go b/app/fin/utils/public_struct.go
index 9e290b700040acc0d50914b632b4267b5959785a..3930489e6d4234487fda6c3f74c9ddf3666241b2 100644
--- a/app/fin/utils/public_struct.go
+++ b/app/fin/utils/public_struct.go
@@ -6,3 +6,17 @@ type FinDeviceActionReq struct { // 主键
 	Action     string  `json:"action"`    // 动作
 	BillAmount float64 `form:"billAmout"` // 费用
 }
+
+// FinBillActionReq 请求生成账单结果
+type FinBillActionReq struct { // 主键
+	SchemeType string    `json:"schemeType"`                    // 方案类型
+	BillType   string    `json:"billType"`                      // 账单类型
+	RegionId   uint      `form:regionId" json:"regionId"`       // 顶级区域ID
+	RegionName string    `form:regionName" json:"regionName"`   // 顶级区域名
+	AreaId     uint      `json:areaId" structs:"areaId"`        // 区域ID
+	AreaName   string    `json:"areaName" structs:"areaName"`   // 区域名
+	HouseId    uint      `json:"houseId" structs:"houseId"`     // 房间ID
+	HouseName  string    `json:"houseName" structs:"houseName"` // 房间名
+	StartDay   time.Time `json:"startDay"`                      // 开始日期
+	EndDay     time.Time `json:"endDay"`                        // 结束日期
+}
diff --git a/webapp/src/api/fin/report.ts b/webapp/src/api/fin/report.ts
new file mode 100644
index 0000000000000000000000000000000000000000..640d395d4d83aff3ee311dc888dda9de70023c63
--- /dev/null
+++ b/webapp/src/api/fin/report.ts
@@ -0,0 +1,41 @@
+import request from '@/utils/request'
+
+// [财务]-能耗账单统计
+export function statsEcs(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/statsEcs', params })
+}
+
+// [财务]-能耗账单列表(含用能费用报表)
+export function listEcs(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/listEcs', params })
+}
+
+// [财务]-能耗充值统计
+export function statsRecharge(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/statsRecharge', params })
+}
+
+// [财务]-能耗充值统计列表
+export function listRecharge(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/listRecharge', params })
+}
+
+// [财务]-能耗扣费列表
+export function listDeduct(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/listDeduct', params })
+}
+
+// [财务]-能耗补贴列表
+export function listSubsidy(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/listSubsidy', params })
+}
+
+// [财务]-能耗退费列表
+export function listRefund(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/listRefund', params })
+}
+
+// [财务]-公摊账单列表
+export function listShared(params?: Record<string, any>) {
+    return request.get({ url: '/fin/report/listShared', params })
+}
\ No newline at end of file
diff --git a/webapp/src/views/fin/bill/sharedForm.vue b/webapp/src/views/fin/bill/sharedForm.vue
index 127d42df9ba2be7445ec380fa6fe7e4134aa4cf9..18ab780519c000647db24fe6a557d56f3f3ace55 100644
--- a/webapp/src/views/fin/bill/sharedForm.vue
+++ b/webapp/src/views/fin/bill/sharedForm.vue
@@ -68,6 +68,13 @@
         billList: []
     })
 
+    const formatRetCode = (retCode: string) => {
+        if(retCode == undefined || retCode == '') {
+            return ''
+        }
+        return retCode !== '200' ? '失败' : '成功'
+    }
+
     defineExpose({
         open,
         setFormData,
diff --git a/webapp/src/views/fin/invoiceCode/index.vue b/webapp/src/views/fin/invoiceCode/index.vue
new file mode 100644
index 0000000000000000000000000000000000000000..3181cb6dce183c41c3c9597e455f5f1f659dd450
--- /dev/null
+++ b/webapp/src/views/fin/invoiceCode/index.vue
@@ -0,0 +1,126 @@
+<template>
+    <div class="index-lists">
+        <el-card class="!border-none" shadow="never">
+            <el-form ref="formRef" class="mb-[-16px]" :model="queryParams" :inline="true">
+                <el-form-item label="票据号" prop="invoiceCode">
+                    <el-input placeholder="请输入票据号" class="w-[200px]" v-model="queryParams.invoiceCode" />
+                </el-form-item>
+                <el-form-item label="使用状态" prop="isUsed">
+                    <el-select v-model="queryParams.isUsed" :style="{ width: '150px' }" placeholder="请输入使用状态">
+                        <el-option
+                                v-for="(item, index) in options.usedOptions"
+                                :key="index"
+                                :label="item.label"
+                                :value="item.value"
+                        />
+                    </el-select>
+                </el-form-item>
+                <el-form-item>
+                    <el-button type="primary" @click="resetPage">查询</el-button>
+                    <el-button @click="resetParams">重置</el-button>
+                </el-form-item>
+            </el-form>
+        </el-card>
+        <el-card class="!border-none mt-4" shadow="never">
+            <el-button v-perms="['fin:invoiceCode:add']" type="primary" @click="handleAdd">
+                <template #icon>
+                    <icon name="el-icon-Plus" />
+                </template>
+                新增
+            </el-button>
+            <el-table
+                style="height: calc(100vh - 349px)"
+                class="mt-4"
+                size="large"
+                v-loading="pager.loading"
+                :data="pager.lists"
+            >
+                <el-table-column label="票据号码" prop="invoiceCode" min-width="100" />
+                <el-table-column label="票据代码" prop="invoiceCode" min-width="100" />
+                <el-table-column label="状态" prop="isUsed" min-width="100">
+                    <template #default="{ row }">
+                        {{ usedFormat(row.isUsed) }}
+                    </template>
+                </el-table-column>
+                <el-table-column label="操作" width="120" fixed="right">
+                    <template #default="{ row }">
+                        <el-button
+                            v-perms="['fin:invoiceCode:edit']"
+                            type="primary"
+                            link
+                            @click="handleEdit(row)"
+                        >
+                            编辑
+                        </el-button>
+                        <el-button
+                            v-perms="['fin:invoiceCode:del']"
+                            type="danger"
+                            link
+                            @click="handleDelete(row.id)"
+                        >
+                            删除
+                        </el-button>
+                    </template>
+                </el-table-column>
+            </el-table>
+            <div class="flex justify-end mt-4">
+                <pagination v-model="pager" @change="getLists" />
+            </div>
+        </el-card>
+        <edit-drawer
+            v-if="showEdit"
+            ref="editRef"
+            @success="getLists"
+            @close="showEdit = false"
+        />
+    </div>
+</template>
+<script lang="ts" setup name="invoice">
+import { invoiceCodeDelete, invoiceCodeLists } from '@/api/fin/invoiceCode'
+import { usePaging } from '@/hooks/usePaging'
+import feedback from '@/utils/feedback'
+import EditDrawer from './edit.vue'
+
+const editRef = shallowRef<InstanceType<typeof EditDrawer>>()
+const showEdit = ref(false)
+
+const queryParams = reactive({
+    invoiceCode: '',
+    isUsed: '',
+})
+
+const { pager, getLists, resetPage, resetParams } = usePaging({
+    fetchFun: invoiceCodeLists,
+    params: queryParams
+})
+
+const handleAdd = async () => {
+    showEdit.value = true
+    await nextTick()
+    editRef.value?.open('add')
+}
+
+const handleEdit = async (data: any) => {
+    showEdit.value = true
+    await nextTick()
+    editRef.value?.open('edit')
+    editRef.value?.setFormData(data)
+}
+
+const options = reactive({
+    usedOptions: [
+        {label: "未使用", value: "0"},
+        {label: "已使用", value: "1"},
+    ],
+})
+
+const usedFormat = (isUsed: string) => {
+    if(isUsed == undefined || isUsed == '') {
+        return ''
+    }
+    let value = options.usedOptions.find(item => item.value === isUsed);
+    return value !== undefined ? value.label : ''
+}
+
+getLists()
+</script>
diff --git a/webapp/src/views/fin/purse/payFee.vue b/webapp/src/views/fin/purse/payFee.vue
index aacde594b53a72a655fe26e842d32ad03d425bbb..6f087030a377a562122094ef4fb1672da29e2189 100644
--- a/webapp/src/views/fin/purse/payFee.vue
+++ b/webapp/src/views/fin/purse/payFee.vue
@@ -46,9 +46,9 @@
                             v-loading="pager.loading"
                             :data="pager.lists"
                     >
-                        <el-table-column label="缴费时间" width="180" prop="createTime">
+                        <el-table-column label="缴费时间" width="180" prop="paymentTime">
                             <template #default="{ row }">
-                                {{formatDate(row.createTime)}}
+                                {{formatDate(row.paymentTime)}}
                             </template>
                         </el-table-column>
                         <el-table-column label="缴费类型" width="100" prop="ecsType">
@@ -65,9 +65,9 @@
                                 </el-tag>
                             </template>
                         </el-table-column>
-                        <el-table-column label="缴费来源" width="100" prop="paymentSource">
+                        <el-table-column label="缴费来源" width="100" prop="paymentMethod">
                             <template #default="{ row }">
-                                {{ paymentSourceFormat(row.paymentSource) }}
+                                {{ paymentMethodFormat(row.paymentMethod) }}
                             </template>
                         </el-table-column>
                         <el-table-column label="操作金额" width="100" prop="operateAmount"/>
@@ -197,6 +197,7 @@
         }
         formData.houseId = houseId
         queryParams.purseId = data.id
+        queryParams.ecsType = ecsType
         getLists()
         // setFormData(data)
     }
@@ -213,12 +214,12 @@
     })
 
     const {optionsData} = useDictOptions<{
-        paymentSourceOptions: any[]
+        paymentMethodOptions: any[]
     }>({
-        paymentSourceOptions: {
+        paymentMethodOptions: {
             api: dictDataByType,
             params: {
-                type: 'payment_source'
+                type: 'payment_method'
             },
         },
     })
@@ -239,11 +240,11 @@
         return value !== undefined ? value.label : ''
     }
 
-    const paymentSourceFormat = (paymentSource: string) => {
-        if (paymentSource == undefined || paymentSource == '') {
+    const paymentMethodFormat = (paymentMethod: string) => {
+        if (paymentMethod == undefined || paymentMethod == '') {
             return ''
         }
-        let value = optionsData.paymentSourceOptions.find(item => item.value === paymentSource);
+        let value = optionsData.paymentMethodOptions.find(item => item.value === paymentMethod);
         return value !== undefined ? value.label : ''
     }
 
diff --git a/webapp/src/views/fin/purse/paymentMethod.vue b/webapp/src/views/fin/purse/paymentMethod.vue
index 7d1330e9c1795f76510bdbf24a6f0d0cc1970c18..4934bfb0fcc5d78517eb9dfa7dfeee9dd2ed835d 100644
--- a/webapp/src/views/fin/purse/paymentMethod.vue
+++ b/webapp/src/views/fin/purse/paymentMethod.vue
@@ -26,10 +26,9 @@
                 <el-form-item label="支付时间" prop="paymentTime">
                     <el-date-picker
                             v-model="formData.paymentTime"
-                            format="YYYY-MM-DD"
-                            value-format="YYYY-MM-DD"
+                            format="YYYY-MM-DD HH:mm:ss"
                             type="datetime"
-                            placeholder="选择日期"
+                            placeholder="选择支付时间"
                             clearable
                     ></el-date-picker>
                 </el-form-item>
@@ -83,6 +82,13 @@
                 trigger: ['blur']
             }
         ],
+        paymentMethod: [
+            {
+                required: true,
+                message: '请选择支付方式',
+                trigger: ['blur']
+            }
+        ],
     }
 
     const handleSubmit = async () => {
diff --git a/webapp/src/views/fin/purse/refundFee.vue b/webapp/src/views/fin/purse/refundFee.vue
index 45935b779cac40443bf71a04ef6ac2a0e2f86f6e..7cfe7ec53acac8e000c2524b7211bdfe1722ccf1 100644
--- a/webapp/src/views/fin/purse/refundFee.vue
+++ b/webapp/src/views/fin/purse/refundFee.vue
@@ -68,9 +68,9 @@
                                 </el-tag>
                             </template>
                         </el-table-column>
-                        <el-table-column label="缴费来源" width="100" prop="paymentSource">
+                        <el-table-column label="缴费来源" width="100" prop="paymentMethod">
                             <template #default="{ row }">
-                                {{ paymentSourceFormat(row.paymentSource) }}
+                                {{ paymentMethodFormat(row.paymentMethod) }}
                             </template>
                         </el-table-column>
                         <el-table-column label="操作金额" width="100" prop="operateAmount"/>
@@ -86,7 +86,7 @@
 </template>
 <script lang="ts" setup>
     import type { FormInstance } from 'element-plus'
-    import {flowList, purseDetail, pursePayFee} from '@/api/fin/purse'
+    import {flowList, purseDetail, purseRefundFee} from '@/api/fin/purse'
     import Popup from '@/components/popup/index.vue'
     import feedback from '@/utils/feedback'
     import {usePaging} from '@/hooks/usePaging'
@@ -150,7 +150,7 @@
 
     const handleSubmit = async () => {
         await formRef.value?.validate()
-        await pursePayFee(formData)
+        await purseRefundFee(formData)
         popupRef.value?.close()
         feedback.msgSuccess('操作成功')
         emit('success')
@@ -204,12 +204,12 @@
     })
 
     const { optionsData } = useDictOptions<{
-        paymentSourceOptions: any[]
+        paymentMethodOptions: any[]
     }>({
-        paymentSourceOptions: {
+        paymentMethodOptions: {
             api: dictDataByType,
             params: {
-                type: 'payment_source'
+                type: 'payment_method'
             },
         },
     })
@@ -230,11 +230,11 @@
         return value !== undefined ? value.label : ''
     }
 
-    const paymentSourceFormat = (paymentSource: string) => {
-        if(paymentSource == undefined || paymentSource == '') {
+    const paymentMethodFormat = (paymentMethod: string) => {
+        if(paymentMethod == undefined || paymentMethod == '') {
             return ''
         }
-        let value = optionsData.paymentSourceOptions.find(item => item.value === paymentSource);
+        let value = optionsData.paymentMethodOptions.find(item => item.value === paymentMethod);
         return value !== undefined ? value.label : ''
     }
 
diff --git a/webapp/src/views/fin/purse/subsidyFee.vue b/webapp/src/views/fin/purse/subsidyFee.vue
index dcc3f979a20c2168d71e2e2f0a7e57b60070f0d2..ec647f1e8db6d24c4be5d7917f18cbd0d17b3973 100644
--- a/webapp/src/views/fin/purse/subsidyFee.vue
+++ b/webapp/src/views/fin/purse/subsidyFee.vue
@@ -69,9 +69,9 @@
                                 </el-tag>
                             </template>
                         </el-table-column>
-                        <el-table-column label="缴费来源" width="100" prop="paymentSource">
+                        <el-table-column label="缴费来源" width="100" prop="paymentMethod">
                             <template #default="{ row }">
-                                {{ paymentSourceFormat(row.paymentSource) }}
+                                {{ paymentMethodFormat(row.paymentMethod) }}
                             </template>
                         </el-table-column>
                         <el-table-column label="操作金额" width="100" prop="operateAmount"/>
@@ -88,7 +88,7 @@
 </template>
 <script lang="ts" setup>
     import type {FormInstance} from 'element-plus'
-    import {flowList, purseDetail, pursePayFee} from '@/api/fin/purse'
+    import {flowList, purseDetail, purseSubsidyFee} from '@/api/fin/purse'
     import Popup from '@/components/popup/index.vue'
     import feedback from '@/utils/feedback'
     import {usePaging} from '@/hooks/usePaging'
@@ -152,7 +152,7 @@
 
     const handleSubmit = async () => {
         await formRef.value?.validate()
-        await pursePayFee(formData)
+        await purseSubsidyFee(formData)
         popupRef.value?.close()
         feedback.msgSuccess('操作成功')
         emit('success')
@@ -206,12 +206,12 @@
     })
 
     const {optionsData} = useDictOptions<{
-        paymentSourceOptions: any[]
+        paymentMethodOptions: any[]
     }>({
-        paymentSourceOptions: {
+        paymentMethodOptions: {
             api: dictDataByType,
             params: {
-                type: 'payment_source'
+                type: 'payment_method'
             },
         },
     })
@@ -232,11 +232,11 @@
         return value !== undefined ? value.label : ''
     }
 
-    const paymentSourceFormat = (paymentSource: string) => {
-        if (paymentSource == undefined || paymentSource == '') {
+    const paymentMethodFormat = (paymentMethod: string) => {
+        if (paymentMethod == undefined || paymentMethod == '') {
             return ''
         }
-        let value = optionsData.paymentSourceOptions.find(item => item.value === paymentSource);
+        let value = optionsData.paymentMethodOptions.find(item => item.value === paymentMethod);
         return value !== undefined ? value.label : ''
     }
 
